<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Especificidade CSS</title>
    <style>
        /* https://specificity.keegan.st/ */
        body{font-size: 40px;}

        div{background-color: #00b;color: #fff;}

        div[wm-cor]{background-color: darkorange;}
        /* se mudar a ordem com o de cima, o efeito do hover n funciona */
        div:hover{background-color: purple;}

        div.estilo{background-color: green;}

        #unico1, #unico2 {background-color: black;}
    </style>
</head>

<body>
    <div id="unico1" class="estilo" style="background-color: red;">
        #unico1 vs .estilo vs inline
    </div>
    <div id="unico2" class="estilo">#unico2 vs .estilo</div>
    <div class="estilo" wm-cor>.estilo vs wm-cor</div>
    <div wm-cor>wm-cor</div>
    <div class="estilo">.estilo</div>
    <div>elemento</div>
</body>

</html>